AG_DRIVERGLX(3)

NAME
AG_DriverGLX - agar GLX driver

DESCRIPTION
The Agar glx driver provides a direct interface to the X Window System, and renders GUI elements using OpenGL primitives and textures. On Unix-like platforms where the X Window System is available, glx is usually the default driver.

INHERITANCE HIERARCHY
AG_Driver(3) -> AG_DriverMw(3) -> AG_DriverGLX.

EXAMPLES

    AG_InitGraphics("glx");
    AG_InitGraphics("glx(stereo)");

OPTIONS
stereo
    Request a stereoscopic visual.

SEE ALSO
AG_Driver(3), AG_GL(3), AG_InitGraphics(3), AG_Intro(3)

X.Org: http://x.org/

OpenGL: https://www.opengl.org/

HISTORY
The glx driver first appeared in Agar 1.4.0.